// grab the OpenGL header files - easiest way is to just get GLUT.
#ifdef __APPLE__
#include <GLUT/glut.h> // Apple's version of GLUT is here
#else
#include <GL/glut.h> // but the standard place for it is here
#endif

#include "centipede.h"
#include "drawing_primitives.h"

void draw_centipede(void)
{
   glMatrixMode(GL_MODELVIEW); // this should be the only OpenGL matrix stack you work with here
   // @@@
   // Here you should code to draw your centipede.
   // You are allowed to use:
   // - glPushMatrix, glPopMatrix, glScale, glTranslate, and glRotate
   // - the functions from drawing_primitives.h
   // - any C++ standard library function
   // You are not allowed to use OpenGL or GLUT commands that can
   // directly draw anything, such as glBegin, glEnd, glVertex,
   // gluSphere, glutSolidSphere, etc.
   // At the end of the function, the state of the GL_MODELVIEW
   // stack must be identical to the state at the beginning of
   // the function.
}

